Skip to main content
POST
/
webhooks
Register a webhook
curl --request POST \
  --url https://borough.qwady.app/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://myapp.com/webhooks/borough",
  "events": [
    "listing.created",
    "listing.price_decreased"
  ]
}
'
{
  "data": {
    "id": "<string>",
    "url": "<string>",
    "events": [
      "<string>"
    ],
    "active": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "secret": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Polar.sh license key. Format: BOROUGH-<uuid>

Body

application/json
url
string<uri>
required

HTTPS endpoint to receive webhook payloads

events
enum<string>[]
required
Available options:
listing.created,
listing.price_decreased,
listing.price_increased,
listing.status_changed,
listing.expired

Response

Webhook registered

data
object